> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all temporary credentials for a specific Model Deployment

> Retrieves summary information for all available temporary credentials of a Model Deployment.



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/modelServing/v1/modelDeployments/{modelDeploymentId}/credentials:
    get:
      tags:
        - Model deployment
      summary: Retrieve all temporary credentials for a specific Model Deployment
      description: >-
        Retrieves summary information for all available temporary credentials of
        a Model Deployment.
      operationId: getModelDeploymentCredentials
      parameters:
        - description: The id of the Model Deployment from which to retrieve credentials
          in: path
          name: modelDeploymentId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelDeploymentCredentialsList'
          description: >-
            A non-paginated list of all Model Deployment credentials for a
            specific Model Deployment.
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    ModelDeploymentCredentialsList:
      properties:
        items:
          description: The Model Deployments Credentials in the list
          items:
            $ref: '#/components/schemas/ModelDeploymentCredentials'
          type: array
      required:
        - items
    ModelDeploymentCredentials:
      description: Model Deployment Credentials
      properties:
        credentials:
          additionalProperties:
            type: string
          description: The actual credentials represented as key value pairs
          example:
            AWS_ACCESS_KEY_ID: 1234
            AWS_SECRET_ACCESS_KEY: 5678
            AWS_SESSION_TOKEN: 0123token
          type: object
        credentialsType:
          $ref: '#/components/schemas/CredentialsType'
        expirationTime:
          example: '2023-07-15T14:35:47.89Z'
          format: date-time
          type: string
        operationType:
          example: INVOKE_ENDPOINT
          type: string
      required:
        - operationType
        - credentialsType
        - expirationTime
        - credentials
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
    CredentialsType:
      description: >-
        This field identifies the type of credential.  The `enum` value limits
        the possibilities to what this model deployment supports.
      enum:
        - AWS
        - HMAC
      type: string
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Retrieve temporary credentials of a specific Model Deployment for a specific operation type](/6.3/api-reference/model-deployment/retrieve-temporary-credentials-of-a-specific-model-deployment-for-a-specific-operation-type.md)
- [Retrieve a specific Model Deployment](/6.3/api-reference/model-deployment/retrieve-a-specific-model-deployment.md)
- [Retrieve a specific version of a Model Deployment](/6.3/api-reference/model-deployment/retrieve-a-specific-version-of-a-model-deployment.md)
- [Retrieve all versions of a specific Model Deployment](/6.3/api-reference/model-deployment/retrieve-all-versions-of-a-specific-model-deployment.md)
